<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Wallet</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="addWallet()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Type of Wallet <i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="user_type" placeholder="Wallet for"
                (ngModelChange)="setCategory($event)">
                <mat-option value="S">System Wallet</mat-option>
                <mat-option value="P">Partner Wallet</mat-option>
                <mat-option value="CP">Company Wallet</mat-option>
                <mat-option value="D">Driver Wallet</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='user_type=="S"'>
            <label class="col-sm-2 control-label">Wallet category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="wallet_type" placeholder="Type of wallet">
                <mat-option value="DCH">DTC CASH IN HAND WALLET</mat-option>
                <mat-option value="DCO">DTC CASH ORDER WALLET</mat-option>
                <mat-option value="DOO">DTC ONLINE ORDER WALLET</mat-option>
                <mat-option value="DPO">DTC POS ORDER WALLET</mat-option>
                <mat-option value="DR">DTC REVENUE WALLET</mat-option>
                <mat-option value="RR">RTA REVENUE WALLET</mat-option>
                <mat-option value="DD">DTC DISCOUNT WALLET</mat-option>
                <mat-option value="DCOA">DTC CASH ORDER ADJUSTMENT WALLET</mat-option>
                <mat-option value="DCAB">DTC CUSTOMER APP BANK WALLET</mat-option>
                <mat-option value="DPB">DTC POS BANK WALLET</mat-option>
                <mat-option value="GPCB">GENERAL POS CUSTOMER BANK WALLET</mat-option>
                <mat-option value="GACB">GENERAL APP CUSTOMER BANK WALLET</mat-option>
                <mat-option value="DRV">DTC REVENUE VAT WALLET</mat-option>
                <mat-option value="DS">SALIK REVENUE WALLET</mat-option>
                <mat-option value="DSS">SHARJAH SALIK REVENUE WALLET</mat-option>
                <mat-option value="DOF">DTC ORDER FARE WALLET</mat-option>
                <mat-option value="DPD">DTC PAYMENT DRIVER WALLET</mat-option>
                <mat-option value="DP">DTC PENALTY WALLET</mat-option>
                <mat-option value="DB">DTC BONUS WALLET</mat-option>
                <mat-option value="DA">DTC ADJUSTMENT WALLET</mat-option>
                <mat-option value="CPP">COMPANY POS PAID WALLET</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='user_type=="D"'>
            <label class="col-sm-2 control-label">Wallet category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="wallet_type" placeholder="Type of wallet">
                <mat-option value="TDCS">Driver Cash Account Settled</mat-option>
                <mat-option value="TDOS">Driver Online Account Settled</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='user_type=="CP"'>
            <label class="col-sm-2 control-label">Wallet category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="wallet_type" placeholder="Type of wallet">
                <mat-option value="CC">Company Cash Account</mat-option>
                <mat-option value="CO">Company Online Account</mat-option>
                <mat-option value="CP">Company POS Account</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='user_type=="P"'>
            <label class="col-sm-2 control-label">Wallet category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="wallet_type" placeholder="Type of wallet">
                <mat-option value="PC">Partner Cash Account</mat-option>
                <mat-option value="PO">Partner Online Account</mat-option>
                <mat-option value="PP">Partner POS Account</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='user'>
            <label class="col-sm-2 control-label">Select user<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="User" name="user" formControlName="user_id"
                class="form-control" required>
                <mat-option *ngFor="let user of userData" [value]="user._id">
                  {{ user.company_name ?user.company_name:''}}{{ user.name ?user.name:''}}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='driveruser'>
            <label class="col-sm-2 control-label">Select Driver<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
                (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
                [matAutocomplete]="Drivers">
              <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
            </div>
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData == '' && driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Description
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder="Description" formControlName="description" class="form-control">
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/wallet/wallets']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>